com.independentsoft.exchange

## Class AbsoluteMonthlyRecurrencePattern

- java.lang.Object
- - com.independentsoft.exchange.AbsoluteMonthlyRecurrencePattern

- All Implemented Interfaces:
    RecurrencePattern, TaskRecurrencePattern

      public class AbsoluteMonthlyRecurrencePattern
      extends java.lang.Object
      implements RecurrencePattern, TaskRecurrencePattern

  Represents a monthly recurrence pattern.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbsoluteMonthlyRecurrencePattern()` Initializes a new instance of the AbsoluteMonthlyRecurrencePattern class.
    `AbsoluteMonthlyRecurrencePattern(int interval, int dayOfMonth)` Initializes a new instance of the AbsoluteMonthlyRecurrencePattern class with specified values.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDayOfMonth()` Gets the day in a month that a recurring item occurs.
    `int` | `getInterval()` Gets the interval between two consecutive recurring items.
    `void` | `setDayOfMonth(int dayOfMonth)` Sets the day in a month that a recurring item occurs.
    `void` | `setInterval(int interval)` Sets the interval between two consecutive recurring items.
    `java.lang.String` | `toString()` Converts the value of the current AbsoluteMonthlyRecurrencePattern object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbsoluteMonthlyRecurrencePattern

          public AbsoluteMonthlyRecurrencePattern()

      Initializes a new instance of the AbsoluteMonthlyRecurrencePattern class.

    - #### AbsoluteMonthlyRecurrencePattern

          public AbsoluteMonthlyRecurrencePattern(int interval,
                                                  int dayOfMonth)

      Initializes a new instance of the AbsoluteMonthlyRecurrencePattern class with specified values.
      Parameters:
        `interval` - Number of months.
        `dayOfMonth` - Day of month.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current AbsoluteMonthlyRecurrencePattern object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getInterval

          public int getInterval()

      Gets the interval between two consecutive recurring items. For example, if the Interval element has a value of 5, the recurring item occurs every 5 months. The range of valid values is from 1 to 99.
      Returns:
        the interval

    - #### setInterval

          public void setInterval(int interval)

      Sets the interval between two consecutive recurring items. For example, if the Interval element has a value of 5, the recurring item occurs every 5 months. The range of valid values is from 1 to 99.
      Parameters:
        `interval` - the new interval

    - #### getDayOfMonth

          public int getDayOfMonth()

      Gets the day in a month that a recurring item occurs. The range of values for this property is 1 to 31. If for a particular month this value is larger than the number of days in the month, the last day of the month is assumed for this property.
      Returns:
        the day of month

    - #### setDayOfMonth

          public void setDayOfMonth(int dayOfMonth)

      Sets the day in a month that a recurring item occurs. The range of values for this property is 1 to 31. If for a particular month this value is larger than the number of days in the month, the last day of the month is assumed for this property.
      Parameters:
        `dayOfMonth` - the new day of month